# encoding: UTF-8
# frozen_string_literal: true

require "yaml"
require "pathname"
require "uri"

module Yafoy
  class OEmbed
    ROOT_PATH = Pathname.new(__dir__)
    PROVIDERS_FILE = "providers.yml"

    class << self
      def providers
        @providers = load_providers(PROVIDERS_FILE)
        @providers
      end

      private

        def load_providers(filename)
          YAML.load_file(ROOT_PATH.join(filename))
        end

        def bonbecs
        end

        def tsurprise
        end
    end
  end
end
